---
apiVersion: samples.operator.openshift.io/v1
kind: Config
metadata:
  creationTimestamp: "2022-03-08T10:41:42Z"
  finalizers:
  - samples.operator.openshift.io/finalizer
  generation: 1
  managedFields:
  - apiVersion: samples.operator.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:finalizers:
          .: {}
          v:"samples.operator.openshift.io/finalizer": {}
      f:spec:
        .: {}
        f:architectures: {}
        f:managementState: {}
      f:status:
        .: {}
        f:architectures: {}
        f:conditions: {}
        f:managementState: {}
        f:version: {}
    manager: cluster-samples-operator
    operation: Update
    time: "2022-03-08T10:44:36Z"
  name: cluster
  resourceVersion: "17377"
  selfLink: /apis/samples.operator.openshift.io/v1/configs/cluster
  uid: beb4b69c-4eb3-4560-9966-e66c3b8dd6fb
spec:
  architectures:
  - x86_64
  managementState: Managed
status:
  architectures:
  - x86_64
  conditions:
  - lastTransitionTime: "2022-03-08T10:41:53Z"
    lastUpdateTime: "2022-03-08T10:44:21Z"
    status: "False"
    type: ImportImageErrorsExist
  - lastTransitionTime: "2022-03-08T10:44:27Z"
    lastUpdateTime: "2022-03-08T10:44:27Z"
    status: "True"
    type: SamplesExist
  - lastTransitionTime: "2022-03-08T10:44:30Z"
    lastUpdateTime: "2022-03-08T10:44:30Z"
    status: "False"
    type: ImageChangesInProgress
  - lastTransitionTime: "2022-03-08T10:44:24Z"
    lastUpdateTime: "2022-03-08T10:44:24Z"
    status: "True"
    type: ImportCredentialsExist
  - lastTransitionTime: "2022-03-08T10:44:24Z"
    lastUpdateTime: "2022-03-08T10:44:24Z"
    status: "True"
    type: ConfigurationValid
  - lastTransitionTime: "2022-03-08T10:44:24Z"
    lastUpdateTime: "2022-03-08T10:44:24Z"
    status: "False"
    type: RemovePending
  - lastTransitionTime: "2022-03-08T10:44:24Z"
    lastUpdateTime: "2022-03-08T10:44:24Z"
    status: "False"
    type: MigrationInProgress
  managementState: Managed
  version: 4.6.52
